const int MAX_UNIT_CELL=7;
const int MAX_NUM_SYM=100;

// size of the descriptor index, smaller is faster, 1D=3, 2D=7, 3Dm2=19 3Dm4=23
const int MAX_SPIN_LIST=60;   // default=60, kago

const int MAX_NUM_CONFIGURATIONS=100000;
const int MAX_NUM_NEIGHBOURS=10;
const int MAX_LSUBM=20;      // default: 20
const int BLOCK_LENGTH=10;   // (2s+1)^BLOCK_LENGTH must fit into integer 
const int MAX_BT=20000;
const int MAX_NUM_ITERATIONS=10000;
const double TOLERANCE=1e-12;

// MAX_NUMBER_TERMS_IN_CCM_EQNS should be a prime number for good hashing
// const int MAX_NUMBER_TERMS_IN_CCM_EQNS=262251; // 2^18-1 for s=1/2-LC-12
const int MAX_NUMBER_TERMS_IN_CCM_EQNS=524287; // 2^19-1 for s=1/2-LC-14

const double momentum=0.7;
const int precondition=2;

#ifndef PARALLEL_FLAG
#define PARALLEL_FLAG 0
#endif

